// TestST_Curve3View.h : interface of the CTestST_Curve3View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TESTST_CURVE3VIEW_H__052CCC26_C4D9_411D_9419_716F798875E1__INCLUDED_)
#define AFX_TESTST_CURVE3VIEW_H__052CCC26_C4D9_411D_9419_716F798875E1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "st_curve.h"

class CTestST_Curve3View : public CView
{
protected: // create from serialization only
	CTestST_Curve3View();
	DECLARE_DYNCREATE(CTestST_Curve3View)

// Attributes
public:
	CTestST_Curve3Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestST_Curve3View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTestST_Curve3View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CST_Curve m_ST_Curve;

// Generated message map functions
protected:
	//{{AFX_MSG(CTestST_Curve3View)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPrintcurve();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in TestST_Curve3View.cpp
inline CTestST_Curve3Doc* CTestST_Curve3View::GetDocument()
   { return (CTestST_Curve3Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTST_CURVE3VIEW_H__052CCC26_C4D9_411D_9419_716F798875E1__INCLUDED_)
